Module jdk.compiler
Package com.sun.source.doctree

## Interface IndexTree

- All Superinterfaces:
    `DocTree`, `InlineTagTree`

      public interface IndexTree
      extends InlineTagTree

  A tree node for an @index or @index inline tag.

  {@index keyword optional description}

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.doctree.DocTree

      `DocTree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends DocTree>` | `getDescription​()` | Returns the description, if any.
    `DocTree` | `getSearchTerm​()` | Returns the specified search term.

    - ### Methods inherited from interface com.sun.source.doctree.DocTree

      `accept, getKind`

    - ### Methods inherited from interface com.sun.source.doctree.InlineTagTree

      `getTagName`

- - ### Method Detail

    - #### getSearchTerm

          DocTree getSearchTerm​()

      Returns the specified search term.
      Returns:
        the search term

    - #### getDescription

          List<? extends DocTree> getDescription​()

      Returns the description, if any.
      Returns:
        the description